package com.link.core.util;

import com.alibaba.fastjson.JSON;
import com.link.core.cllog.LCLogger;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import javax.servlet.ServletRequest;

public class WebUtils {
   public static JSON getRequestJson(ServletRequest request) throws IOException {
      String req = getRequestString(request);
      return (JSON)JSON.parse(req);
   }

   public static String getRequestString(ServletRequest request) {
      BufferedReader br;
      try {
         br = request.getReader();
         if (br == null) {
            return null;
         }
      } catch (IOException var6) {
         IOException var5 = var6;
         throw new RuntimeException("Could't gets reader of response!", var5);
      }

      StringBuffer sb = new StringBuffer();

      String line;
      try {
         while((line = br.readLine()) != null) {
            sb.append(line);
         }
      } catch (IOException var5) {
         IOException var4 = var5;
         throw new RuntimeException("Could't read line of reader!", var4);
      }

      return sb.toString();
   }

   public static <T> T deepCopy(T src) throws IOException, ClassNotFoundException {
      try {
         ByteArrayOutputStream byteOut = new ByteArrayOutputStream();
         Throwable var2 = null;

         Object var7;
         try {
            ObjectOutputStream out = new ObjectOutputStream(byteOut);
            Throwable var4 = null;

            try {
               out.writeObject(src);
               ByteArrayInputStream byteIn = new ByteArrayInputStream(byteOut.toByteArray());
               ObjectInputStream in = new ObjectInputStream(byteIn);
               var7 = in.readObject();
            } catch (Throwable var32) {
               var4 = var32;
               throw var32;
            } finally {
               if (out != null) {
                  if (var4 != null) {
                     try {
                        out.close();
                     } catch (Throwable var31) {
                        var4.addSuppressed(var31);
                     }
                  } else {
                     out.close();
                  }
               }

            }
         } catch (Throwable var34) {
            var2 = var34;
            throw var34;
         } finally {
            if (byteOut != null) {
               if (var2 != null) {
                  try {
                     byteOut.close();
                  } catch (Throwable var30) {
                     var2.addSuppressed(var30);
                  }
               } else {
                  byteOut.close();
               }
            }

         }

         return var7;
      } catch (Exception var36) {
         Exception e = var36;
         LCLogger.withException(e);
         throw e;
      }
   }
}
